!

API recipes

Practical examples for using the Houski API.

Examples

Find lots with recent demolition permits

Programming language

Select the programming language you want to display the code examples in.

Find lots with recent demolition permits
Real building permits from Calgary, Edmonton, Toronto, and Vancouver are regex-searchable. Lots with demolition filed in the last 180 days indicate imminent new construction - high-intent leads for framers, foundation contractors, and lumber yards.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&expand=permits&expand_permit_application_date_gte=2026-02-13&expand_permit_content_regex=(?i)demolition|demolish|tear[ -]?down&filter_expand_match=any&page=1&province_abbreviation=ab&results_per_page=5&select=address,property_type,construction_year,land_area_sq_m,assessment_value,estimate_list_price"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('expand', 'permits');
    url.searchParams.set('expand_permit_application_date_gte', '2026-02-13');
    url.searchParams.set('expand_permit_content_regex', '(?i)demolition|demolish|tear[ -]?down');
    url.searchParams.set('filter_expand_match', 'any');
    url.searchParams.set('page', '1');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '5');
    url.searchParams.set('select', 'address,property_type,construction_year,land_area_sq_m,assessment_value,estimate_list_price');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": true,
  "cost_cents": 2.1999998092651367,
  "data": [
    {
      "address": "57 Elveden Drive SW",
      "assessment_value": 2860000,
      "construction_year": 1961,
      "estimate_list_price": 3011407,
      "land_area_sq_m": 7040.0,
      "permits": [
        {
          "expand_permit_application_date": "2026-04-09",
          "expand_permit_content": "Status: Completed|Issued date: 2026-05-06T00:00:00.000|Completed date: 2026-07-27T00:00:00.000|Estimated project cost: N/A|Permit class: Unspecified|Permit type: Demolition|Permit type mapped: Demolition|Work class: Demolition|Work class group: Demolition|Work class mapped: Existing|applicant: WILLIAM BLAKE HOMES|contractor: CREATIVE SOLUTIONS CONTRACTING SERVICES|estimated project cost: N/A|Total square feet affected: N/A|Housing units affected: 0",
          "expand_permit_id": "BP2026-05600",
          "expand_permit_type": "Building",
          "property_id": "103b35cc5be96cc"
        }
      ],
      "property_id": "103b35cc5be96cc",
      "property_type": "House"
    },
    {
      "address": "720 34 Street NW",
      "construction_year": 1951,
      "estimate_list_price": 947389,
      "land_area_sq_m": 512.0,
      "permits": [
        {
          "expand_permit_application_date": "2026-04-25",
          "expand_permit_content": "Status: Completed|Issued date: 2026-04-30T00:00:00.000|Completed date: 2026-05-26T00:00:00.000|Estimated project cost: N/A|Permit class: Unspecified|Permit type: Demolition|Permit type mapped: Demolition|Work class: Demolition|Work class group: Demolition|Work class mapped: Existing|applicant: N/A|contractor: P & G EXCAVATING TRUCKING|estimated project cost: N/A|Total square feet affected: N/A|Housing units affected: 0",
          "expand_permit_id": "BP2026-06808",
          "expand_permit_type": "Building",
          "property_id": "1097e2ace522f5b3"
        }
      ],
      "property_id": "1097e2ace522f5b3",
      "property_type": "House"
    },
    {
      "address": "1643 Altadore Avenue SW",
      "construction_year": 2006,
      "estimate_list_price": 1124863,
      "land_area_sq_m": 512.0,
      "permits": [
        {
          "expand_permit_application_date": "2026-05-25",
          "expand_permit_content": "Status: Completed|Issued date: 2026-05-28T00:00:00.000|Completed date: 2026-07-08T00:00:00.000|Estimated project cost: N/A|Permit class: Unspecified|Permit type: Demolition|Permit type mapped: Demolition|Work class: Demolition|Work class group: Demolition|Work class mapped: Existing|applicant: N/A|contractor: CLOVERHILL CONSTRUCTION|estimated project cost: N/A|Total square feet affected: N/A|Housing units affected: 0",
          "expand_permit_id": "BP2026-09143",
          "expand_permit_type": "Building",
          "property_id": "10a5d4b941c8505b"
        }
      ],
      "property_id": "10a5d4b941c8505b",
      "property_type": "House"
    },
    {
      "address": "274 Carragana Crescent NW",
      "assessment_value": 882000,
      "construction_year": 1961,
      "estimate_list_price": 995163,
      "land_area_sq_m": 526.0,
      "permits": [
        {
          "expand_permit_application_date": "2026-06-29",
          "expand_permit_content": "Status: Issued Permit|Issued date: 2026-07-27T00:00:00.000|Completed date: N/A|Estimated project cost: N/A|Permit class: Unspecified|Permit type: Demolition|Permit type mapped: Demolition|Work class: Demolition|Work class group: Demolition|Work class mapped: Existing|applicant: N/A|contractor: NEXUS EARTHWORKS|estimated project cost: N/A|Total square feet affected: N/A|Housing units affected: 0",
          "expand_permit_id": "BP2026-12044",
          "expand_permit_type": "Building",
          "property_id": "10b5e010976e238d"
        }
      ],
      "property_id": "10b5e010976e238d",
      "property_type": "House"
    },
    {
      "address": "1120 Frontenac Avenue SW",
      "assessment_value": 1620000,
      "construction_year": 1910,
      "estimate_list_price": 1886758,
      "land_area_sq_m": 804.7000122070312,
      "permits": [
        {
          "expand_permit_application_date": "2026-07-06",
          "expand_permit_content": "Status: Issued Permit|Issued date: 2026-07-09T00:00:00.000|Completed date: N/A|Estimated project cost: N/A|Permit class: Unspecified|Permit type: Demolition|Permit type mapped: Demolition|Work class: Demolition|Work class group: Demolition|Work class mapped: Existing|applicant: MAILLOT HOMES|contractor: CREATIVE SOLUTIONS CONTRACTING SERVICES|estimated project cost: N/A|Total square feet affected: N/A|Housing units affected: 0",
          "expand_permit_id": "BP2026-12522",
          "expand_permit_type": "Building",
          "property_id": "10cbf68817603752"
        }
      ],
      "property_id": "10cbf68817603752",
      "property_type": "House"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 77
  },
  "price_quote": false,
  "result_total": 384,
  "time_ms": 708,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}